package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: nh
 * @create: 2021-02-09 09:40
 **/
@Data
@ApiModel(value = "ProjectStatisticsByMonth", description = "项目统计报表返回对象")
public class ProjectStatisticsByMonth implements Serializable {
    private static final long serialVersionUID = -2958828761910039617L;

    @ApiModelProperty(name = "projectId",value = "项目主键")
    private Integer projectId;

    @ApiModelProperty(name = "projectName", value = "项目名称")
    private String projectName;

    @ApiModelProperty(name = "deptName", value = "部门名称")
    private String deptName;

    @ApiModelProperty(name = "userName", value = "用户姓名")
    private String userName;

    @ApiModelProperty(name = "statisticsDateAndWorkTime", value = "项目统计的时间段、工时和成本")
    List<StatisticsDateAndWorkTime> statisticsDateAndWorkTimes;


    @Data
    public static class StatisticsDateAndWorkTime{
        /**
         * 项目统计的时间
         */
        String date;

        /**
         * 年
         */
        Integer year;

        /**
         * 总工时
         */
        BigDecimal totalTime;

        /**
         * 成本
         */
        BigDecimal cost;
    }
}
